<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
	xmlns:java="java" exclude-result-prefixes="fo">

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no"
		indent="no" />

	<xsl:param name="body.font.family" expression="Arial, FreeSans" />
	<xsl:param name="title.font.family" expression="Arial, FreeSans" />
	<xsl:param name="monospace.font.family" expression="Arial, FreeSans" />
	<!-- <xsl:param name="body.font.master" select="'10.1'" /> -->
	<xsl:param name="symbol.font.family" expression="Arial, FreeSans" />
	<xsl:param name="body.fontset" expression="Arial, FreeSans" />

	<!-- =========================================== -->
	<!-- Template: Installation Protocol A4 Portrait -->
	<!-- =========================================== -->

	<xsl:template match="report">
		<fo:root font-family="Arial, FreeSans">
			<fo:layout-master-set>
				<fo:simple-page-master master-name="whole_page"
					page-width="210mm" page-height="297mm" margin-top="16mm"
					margin-bottom="21mm" margin-left="15mm" margin-right="15mm">
					<fo:region-body margin-left="0" margin-right="0"
						margin-top="8mm" margin-bottom="6mm" />
					<fo:region-before extent="1mm" />
					<fo:region-after extent="20mm" />
				</fo:simple-page-master>
			</fo:layout-master-set>

			<fo:page-sequence master-reference="whole_page">

				<fo:static-content flow-name="xsl-region-before">
					<!-- Header begin -->
					<fo:block>
						<fo:table width="100%">
							<fo:table-body>
								<fo:table-row>
									<!-- Header: Company logo and company info -->
									<fo:table-cell>
										<fo:block>
											<fo:inline padding-right="1mm">
												<fo:external-graphic height="1.5cm"
													content-width="scale-to-fit" src='url("image://LOGO_LICENSEE")' />
											</fo:inline>
										</fo:block>
									</fo:table-cell>
									<fo:table-cell>
										<fo:block font-size="3mm" font-weight="bold" text-align="right" wrap-option="no-wrap">
											<xsl:text>Prilog ___ za: __________ </xsl:text>
										</fo:block>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
					</fo:block>
					<!-- Header end -->
				</fo:static-content>

				<fo:static-content flow-name="xsl-region-after">
					<!-- Footer begin -->
						<fo:block font-size="7pt" text-align="left" padding-top="3mm" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Ovaj dokument se &#x0161;tampa u dva (2) primjerka, jedan za korisnika usluga (potpisan), a drugi za prodajnog predstavnika </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text> (potpisan).</xsl:text>
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="0" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Dokument prodajnog predstavnika sa potpisom korisnika i prodajnim predstavnikom dostaviti Back Office-u </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text> , i isti se prila&#x017E;e kao dodatak profila kompanije. U slu&#x010D;aju bilo kakvih nesuglasica nastalih prilikom kori&#x0161;tenja aplikacije koje bi mogle dovesti do sporova, ovaj dokument se smatra validnim.</xsl:text>
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="0" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Vrijede aktuelni op&#x0161;ti uslovi poslovanja objavljeni javno na web stranici www.expressone.ba.</xsl:text>
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="5mm" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Privredno dru&#x0161;tvo </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text>, </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/address" />
							<xsl:text>, </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/postalCode" />
							<xsl:text> </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/city" />
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="0" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Upisano u sudski registar Op&#x0107;inskog suda u Sarajevu pod brojem I-21399, sa temeljnim kapitalom 2.000 KM, upla&#x0107;enim u cjelosti.</xsl:text>
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="0" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Direktor dru&#x0161;tva je Robert Kova&#x010D;i&#x0107;, &#x017E;iro ra&#x010D;un 3386902215195226 kod Unicredit Bank d.d. Mostar. PDV broj 201319770003, ID broj 4201319770003</xsl:text>
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="0" padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>T +387 33 756 656 E office@expressone.ba W www.expressone.ba</xsl:text>
						</fo:block>

					<!-- Footer end -->
				</fo:static-content>

				<fo:flow flow-name="xsl-region-body">
					<xsl:attribute-set name="tableUpperHeading">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin black</xsl:attribute>
						<xsl:attribute name="background-color">#DDDDDD</xsl:attribute>
						<xsl:attribute name="number-columns-spanned">2</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableUpperHeadingNoSpan">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin black</xsl:attribute>
						<xsl:attribute name="background-color">#DDDDDD</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableUpperCellLeft">
						<xsl:attribute name="width">25mm</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin black</xsl:attribute>
						<xsl:attribute name="border-right">solid thin black</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableUpperCellRight">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin black</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableLowerCellLeft">
						<xsl:attribute name="width">69mm</xsl:attribute>
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin black</xsl:attribute>
						<xsl:attribute name="border-right">solid thin black</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="tableLowerCellRight">
						<xsl:attribute name="border">0</xsl:attribute>
						<xsl:attribute name="border-bottom">solid thin black</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="headingTableText">
						<xsl:attribute name="font-size">9pt</xsl:attribute>
						<xsl:attribute name="font-weight">bold</xsl:attribute>
						<xsl:attribute name="text-align">left</xsl:attribute>
						<xsl:attribute name="padding">1mm</xsl:attribute>
						<xsl:attribute name="margin-left">1mm</xsl:attribute>
					</xsl:attribute-set>
					<xsl:attribute-set name="innerTableText">
						<xsl:attribute name="font-size">8pt</xsl:attribute>
						<xsl:attribute name="text-align">left</xsl:attribute>
						<xsl:attribute name="padding">1mm</xsl:attribute>
						<xsl:attribute name="margin-left">1mm</xsl:attribute>
					</xsl:attribute-set>
					<fo:block font-size="9pt">
						<fo:block font-size="14pt" font-weight="bold" text-align="center"
							text-decoration="none" padding-top="10mm" padding-bottom="3mm">
							<xsl:text>PROTOKOL INSTALACIJE/UPDATE EXPEDIT SOFTWARE</xsl:text>
						</fo:block>
						<fo:table width="100%" border-collapse="separate"
							border-spacing="2mm 3mm">
							<fo:table-body>
								<fo:table-row>
									<fo:table-cell border-style="solid" border-width="0.5mm">
										<fo:table width="100%" border-spacing="0">
											<fo:table-column column-width="25mm" />
											<fo:table-column />
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell xsl:use-attribute-sets="tableUpperHeading">
														<fo:block xsl:use-attribute-sets="headingTableText">
															<xsl:text>Informacije o korisniku aplikacije</xsl:text>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Korisni&#x010D;ki ID'" />
													<xsl:with-param name="txt_right"
														select="/report/shipperInfo/cargoNetID" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Naziv klijenta'" />
													<xsl:with-param name="txt_right"
														select="/report/shipperInfo/name" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Kontakt osoba'" />
													<xsl:with-param name="txt_right"
														select="/report/shipperInfo/contactPerson" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Adresa'" />
													<xsl:with-param name="txt_right"
														select="/report/shipperInfo/address" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Po&#x0161;t. br. i mjesto'" />
													<xsl:with-param name="txt_right"
														select="concat(/report/shipperInfo/postalCode, ' ', /report/shipperInfo/city)" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Broj telefona'" />
													<xsl:with-param name="txt_right"
														select="/report/shipperInfo/phone" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'E-mail'" />
													<xsl:with-param name="txt_right"
														select="/report/shipperInfo/email" />
												</xsl:call-template>
											</fo:table-body>
										</fo:table>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="0.5mm">
										<fo:table width="100%" border-spacing="0">
											<fo:table-column column-width="25mm" />
											<fo:table-column />
											<fo:table-body>
												<fo:table-row>
													<fo:table-cell xsl:use-attribute-sets="tableUpperHeading">
														<fo:block xsl:use-attribute-sets="headingTableText">
															<xsl:text>Informacije o prodajnom predstavniku</xsl:text>
														</fo:block>
													</fo:table-cell>
												</fo:table-row>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'ID Prodaje'" />
													<xsl:with-param name="txt_right"
														select="/report/resellerInfo/resellerID" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Ime i Prezime'" />
													<xsl:with-param name="txt_right"
														select="concat(/report/resellerInfo/firstName, ' ', /report/resellerInfo/lastName)" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Broj telefona'" />
													<xsl:with-param name="txt_right"
														select="/report/resellerInfo/phone" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'E-mail'" />
													<xsl:with-param name="txt_right"
														select="/report/resellerInfo/email" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'Regija'" />
													<xsl:with-param name="txt_right"
														select="/report/resellerInfo/regionName" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'&#160;'" />
													<xsl:with-param name="txt_right" select="' '" />
												</xsl:call-template>
												<xsl:call-template name="table_row_upper">
													<xsl:with-param name="txt_left" select="'&#160;'" />
													<xsl:with-param name="txt_right" select="' '" />
												</xsl:call-template>
											</fo:table-body>
										</fo:table>
									</fo:table-cell>
								</fo:table-row>
								<fo:table-row>
									<fo:table-cell border-style="solid" border-width="thin">
										<fo:table width="100%" border-spacing="0">
											<fo:table-body>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left"
														select="'Nova instalacija'" />
													<xsl:with-param name="is_heading" select="'true'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Java instaliran'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Printer pode&#x0161;en'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Profil odobren'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Raspon dodjeljen'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Instaliran CutePDF'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Obuka korisnika'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="' '" />
												</xsl:call-template>
											</fo:table-body>
										</fo:table>
									</fo:table-cell>
									<fo:table-cell border-style="solid" border-width="thin">
										<fo:table width="100%" border-spacing="0">
											<fo:table-body>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left"
														select="'Reinstalacija/Update *'" />
													<xsl:with-param name="is_heading" select="'true'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Profil uvezen'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Printer pode&#x0161;en'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left"
														select="'Importovane po&#x0161;iljke'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Importovan adresar'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Raspon dodjeljen'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Update uspje&#x0161;no obavljen *'" />
												</xsl:call-template>
												<xsl:call-template name="table_row_lower">
													<xsl:with-param name="txt_left" select="'Prezentacija novih zna&#x010D;ajki *'" />
												</xsl:call-template>
											</fo:table-body>
										</fo:table>
									</fo:table-cell>
								</fo:table-row>
							</fo:table-body>
						</fo:table>
						<fo:block text-align="left" font-weight="bold" margin-left="2mm" margin-right="2mm" padding-top="4mm" border-bottom-style="solid" border-bottom-width="thin">
							<xsl:text>Napomena:</xsl:text>
						</fo:block>
						<fo:block text-align="left" margin-left="2mm" margin-right="2mm" margin-top="6mm" padding-top="0.5mm" border-top-style="solid" border-top-width="thin">
							<xsl:text>* odnosi se samo na Update</xsl:text>
						</fo:block>
						<fo:block text-align="left" padding="3mm" margin="0">
							<fo:table width="100%" border-spacing="0" margin="0">
								<fo:table-column column-width="50%" />
								<fo:table-column column-width="3mm" />
								<fo:table-column />
								<fo:table-body>
									<fo:table-row>
										<fo:table-cell padding="0" margin="0" border-style="solid" border-width="thin">
											<fo:table width="100%" border-spacing="0">
												<fo:table-column column-width="50mm" />
												<fo:table-column />
												<fo:table-column />
												<fo:table-body>
													<fo:table-row>
														<fo:table-cell xsl:use-attribute-sets="tableUpperHeading">
															<fo:block xsl:use-attribute-sets="headingTableText">
																<xsl:text>Prezentacija novih usluga sa v2.0.7</xsl:text>
															</fo:block>
														</fo:table-cell>
														<fo:table-cell xsl:use-attribute-sets="tableUpperHeadingNoSpan">
															<fo:block xsl:use-attribute-sets="headingTableText">
																<xsl:text>Interes</xsl:text>
															</fo:block>
														</fo:table-cell>
													</fo:table-row>
													<xsl:call-template name="table_row_3_cols">
														<xsl:with-param name="txt_left" select="'Poziv prije isporuke'" />
													</xsl:call-template>
													<xsl:call-template name="table_row_3_cols">
														<xsl:with-param name="txt_left" select="'Vremenski definirana dostava'" />
													</xsl:call-template>
													<xsl:call-template name="table_row_3_cols">
														<xsl:with-param name="txt_left" select="'Povrat paleta'" />
													</xsl:call-template>
												</fo:table-body>
											</fo:table>
										</fo:table-cell>
										<fo:table-cell padding="0" margin="0">
											<fo:block>
												<xsl:text> </xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell padding="0" margin="0">
											<fo:block>
												<xsl:text>Instalacija/Update Expedit software-skog paketa kod kupca </xsl:text>
												<fo:inline font-weight="bold" text-decoration="underline">
													<xsl:value-of select="/report/shipperInfo/name" />
												</fo:inline>
												<xsl:text> od strane prodajnog predstavnika </xsl:text>
												<fo:inline font-weight="bold" text-decoration="underline">
													<xsl:value-of
														select="concat(/report/resellerInfo/firstName, ' ', /report/resellerInfo/lastName)" />
												</fo:inline>
												<xsl:text> na dan </xsl:text>
												<xsl:value-of select="/report/datum/value" />
												<xsl:text>.</xsl:text>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
							
							
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="3mm"
							padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Protokol slu&#x017E;i kao potvrda za uspje&#x0161;no obavljenu instalaciju ili update-a aplikacije za pripremu po&#x0161;iljaka. Tako&#x0111;e, smatra se i kao dokaz, da je zajedno sa prodajnim predstavnikom </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text> pro&#x0161;ao obuku za ispravno rukovanje aplikacije, kao i da je upoznat sa svim novim stavkama koje ova Instalacija/Update korisniku dodatno omogu&#x010D;ava.</xsl:text>
						</fo:block>
						<fo:block font-size="7pt" text-align="left" padding-top="2mm"
							padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Korisnik klijentske aplikacije </xsl:text>
							<fo:inline font-weight="bold" text-decoration="underline">
								<xsl:value-of select="/report/shipperInfo/contactPerson" />
							</fo:inline>
							<xsl:text> navedenog kupca, je prisustvovao obuci kori&#x0161;tenja Expedit aplikacije sa odgovornim prodajnim predstavnikom. Korisnik potvr&#x0111;uje da za nevedenu organizaciju ima pravo u obavljanju svoje funkcije da naru&#x010D;uje i izvr&#x0161;ava usluge dru&#x0161;tva </xsl:text> 
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text>. Korisnik sa potpisom potvr&#x0111;uje da je razumijeo i shvatio rad po uputstvu i da je saglasan sa stavkama obilje&#x017E;enim u ovom protokolu. Korisnik je saglasan i sa uslovima poslovanja </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text> koji su objavljeni na stranici www.expressone.ba. U slu&#x010D;aju bilo kakvih dodatnih pitanja korisnik je upu&#x0107;en u kontaktne informacije prodajnog predstavnika od strane </xsl:text>
							<xsl:value-of select="/report/licenseeInfo/name" />
							<xsl:text> navedenim u ovom protokolu.</xsl:text>
						</fo:block>

            <fo:block text-align="left" padding-top="5mm">
							<fo:table width="100%" border-spacing="0" margin="3mm">
								<fo:table-body>
									<fo:table-row>
										<fo:table-cell border-bottom="solid thin black"
											padding="0" margin="0">
											<fo:block padding="0" padding-bottom="10mm" margin="0">
												<xsl:text>Korisnik aplikacije:</xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell>
											<fo:block>
												<xsl:text> </xsl:text>
											</fo:block>
										</fo:table-cell>
										<fo:table-cell border-bottom="solid thin black"
											padding="0" margin="0">
											<fo:block padding="0" padding-bottom="10mm" margin="0">
												<xsl:text>Prodajni predstavnik:</xsl:text>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</fo:block>
						
						<fo:block text-align="left" padding-top="5mm"
							padding-left="3mm" padding-right="3mm" margin="0">
							<xsl:text>Datum: </xsl:text>
							<xsl:value-of select="/report/datum/value" />
						</fo:block>

					</fo:block>
				</fo:flow>

			</fo:page-sequence>
		</fo:root>
	</xsl:template>

	<xsl:template name="table_row_upper">
		<xsl:param name="txt_left" />
		<xsl:param name="txt_right" />
		<fo:table-row>
			<fo:table-cell xsl:use-attribute-sets="tableUpperCellLeft">
				<fo:block xsl:use-attribute-sets="innerTableText">
					<xsl:value-of select='$txt_left' />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell xsl:use-attribute-sets="tableUpperCellRight">
				<fo:block xsl:use-attribute-sets="innerTableText">
					<xsl:value-of select='$txt_right' />
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

	<xsl:template name="table_row_lower">
		<xsl:param name="txt_left" />
		<xsl:param name="is_heading" select="'false'" />
		<fo:table-row>
			<xsl:choose>
				<xsl:when test="$is_heading = 'true'">
					<fo:table-cell xsl:use-attribute-sets="tableLowerCellLeft"
						background-color="#DDDDDD">
						<fo:block xsl:use-attribute-sets="innerTableText"
							font-weight="bold">
							<xsl:value-of select='$txt_left' />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="tableLowerCellRight"
						background-color="#DDDDDD">
						<fo:block xsl:use-attribute-sets="innerTableText"
							font-family="ZapfDingbats" font-size="4mm" padding-bottom="0">
							<xsl:text>&#x274F;</xsl:text>
						</fo:block>
					</fo:table-cell>
				</xsl:when>
				<xsl:otherwise>
					<fo:table-cell xsl:use-attribute-sets="tableLowerCellLeft">
						<fo:block xsl:use-attribute-sets="innerTableText">
							<xsl:value-of select='$txt_left' />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell xsl:use-attribute-sets="tableLowerCellRight">
						<fo:block xsl:use-attribute-sets="innerTableText"
							font-family="ZapfDingbats" font-size="4mm" padding-bottom="0">
							<xsl:text>&#x274F;</xsl:text>
						</fo:block>
					</fo:table-cell>
				</xsl:otherwise>
			</xsl:choose>
		</fo:table-row>
	</xsl:template>

	<xsl:template name="table_row_3_cols">
		<xsl:param name="txt_left" />
		<fo:table-row>
			<fo:table-cell>
				<fo:block xsl:use-attribute-sets="innerTableText">
					<xsl:value-of select='$txt_left' />
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block xsl:use-attribute-sets="innerTableText"
					font-family="ZapfDingbats" font-size="4mm" padding-bottom="0">
					<xsl:text>&#x274F;</xsl:text>
				</fo:block>
			</fo:table-cell>
			<fo:table-cell>
				<fo:block xsl:use-attribute-sets="innerTableText"
					font-family="ZapfDingbats" font-size="4mm" padding-bottom="0">
					<xsl:text>&#x274F;</xsl:text>
				</fo:block>
			</fo:table-cell>
		</fo:table-row>
	</xsl:template>

</xsl:stylesheet>

