<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:java="java"
	exclude-result-prefixes="fo"
>

	<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="no" />

	<xsl:include href="template://Barcode_Template.xsl" />
	<xsl:include href="template://Sticker_Template_Common_Fields.xsl" />

	<!-- ============================== -->
	<!-- Template: Single Sticker (A6) -->
	<!-- ============================== -->

	<xsl:template match="sticker">
		<xsl:choose>
			<xsl:when test="/report/demo = 'true'">
				<fo:block background-image="url('image://FOP_DEMO')" background-position="0,0" background-repeat="repeat" background-color="white" padding="3mm">
					<xsl:call-template name="main_table"></xsl:call-template>
				</fo:block>
			</xsl:when>
			<xsl:otherwise>
				<fo:block padding="3mm">
					<xsl:call-template name="main_table"></xsl:call-template>
				</fo:block>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="main_table">
		<fo:table width="100%">
			<!-- max allowed width: 140mm -->
			<fo:table-column column-width="10mm" />
			<fo:table-column column-width="73mm" />
			<fo:table-column column-width="57mm" />
			<fo:table-body>
				<fo:table-row>
					<xsl:call-template name="table_cell_barcode_small_labels_vertical"></xsl:call-template>
					<fo:table-cell>

						<!-- Central column -->
						<!-- Block margin=0 is important, otherwise block would become bigger than table cell -->
						<fo:block padding="1mm" font-style="normal" margin="0">
							<fo:table width="100%">
								<fo:table-body>
									<fo:table-row>
										<fo:table-cell height="80mm">
											<!-- Licensee logo -->
											<!-- 
											<fo:block margin-bottom="0.5mm">
											<xsl:call-template name="licensee_logo"></xsl:call-template>
											</fo:block>
											 -->
											<fo:block margin-bottom="2mm">
											<xsl:call-template name="barcode_tracking_code"></xsl:call-template>
											</fo:block>
											<!-- Reference box -->
											<xsl:call-template name="date_and_reference_nr"></xsl:call-template>
											<!-- Barcode postal code -->
											<!-- <xsl:with-param name="barcode_postal_code_receiver" /> -->
											<!-- Receiver box -->
											<xsl:call-template name="receiver_box"></xsl:call-template>
											<!-- Barcode multifunctional code -->
											<!-- <xsl:with-param name="barcode_multifunctional_code" /> -->
											<fo:block padding="0.1mm" text-align="left" overflow="visible" background="pink">
												<xsl:call-template name="barcode">
													<xsl:with-param name="codeType" select="'multifunctional'" />
													<xsl:with-param name="message" select="multifunctionalCode" />
												</xsl:call-template>
											</fo:block>
											<!-- Contact person and sender -->
											<xsl:call-template name="contact_persons"></xsl:call-template>
											<!-- Delivery remark is excluded for Slovakia -->
										</fo:table-cell>
									</fo:table-row>
								</fo:table-body>
							</fo:table>
						</fo:block>
					</fo:table-cell>

					<!-- Right column -->

					<fo:table-cell margin="0" margin-left="3.5mm" padding="0">
						<fo:block padding="0" margin="0">
							<fo:table width="100%">
								<fo:table-body>
									<fo:table-row>
										<!-- <fo:table-cell height="30mm" padding="0" margin="0"> -->
										<fo:table-cell height="21mm" padding="0" margin="0">
											<!-- Sender box -->
											<xsl:call-template name="sender_box">
												<xsl:with-param name="print_phones" select="'false'" />
												<xsl:with-param name="scale_factor" select="0.9" />
											</xsl:call-template>
										</fo:table-cell>
									</fo:table-row>

									<fo:table-row>
										<!-- Reference box and services will be stored in additional table with fixed height, as reference size may vary as well as services list -->
										<fo:table-cell margin="0" padding="0">
											<fo:block>
												<!-- Services (if no routing label, print services here; otherwise, print vertically with routing label) -->
												<xsl:choose>
													<xsl:when test="printRoutingLabel = 'true'">
													</xsl:when>
													<xsl:otherwise>
														<xsl:call-template name="services_without_routing_label_barcode"></xsl:call-template>
													</xsl:otherwise>
												</xsl:choose>
											</fo:block>
										</fo:table-cell>
									</fo:table-row>


									<!-- Routing info for Slovakia is configurable -->
									<xsl:choose>
										<xsl:when test="printRoutingLabel = 'true'">
											<fo:table-row>
												<fo:table-cell margin="0" padding="0">
														<xsl:call-template name="services_with_routing_label_barcode"></xsl:call-template>
												</fo:table-cell>
											</fo:table-row>
										</xsl:when>
										<xsl:otherwise>
											<fo:table-row>
												<fo:table-cell height="30mm">
													<fo:block>
														<xsl:text> </xsl:text>
													</fo:block>
												</fo:table-cell>
											</fo:table-row>
										</xsl:otherwise>
									</xsl:choose>
									
								</fo:table-body>
							</fo:table>
						</fo:block>

					</fo:table-cell>
				</fo:table-row>

				<!-- Footer -->
				<fo:table-row>
					<fo:table-cell>
						<fo:block></fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block font-size="2mm">
							<xsl:value-of select="/report/licenseeInfo/shortDescription" />
						</fo:block>
						<fo:block font-size="1.5mm">
							<xsl:value-of select="/report/expeditInfo/name" />
						</fo:block>
					</fo:table-cell>
					<fo:table-cell>
						<fo:block></fo:block>
					</fo:table-cell>
					<!--
					<fo:table-cell margin="0" display-align="after" padding-left="2mm">
						<fo:block font-size="2.2mm" text-align="left">
							<xsl:value-of select="formattedPacketNumber" />
						</fo:block>
					</fo:table-cell>
					-->
					<!-- <fo:table-cell margin="0" display-align="after" padding-right="0"> <fo:block font-size="2.2mm" text-align="right"> <xsl:value-of select="formattedPacketNumber" /> </fo:block> 
						</fo:table-cell> -->
				</fo:table-row>

			</fo:table-body>
		</fo:table>
	</xsl:template>

</xsl:stylesheet>